初心者が「Python 2」から学び始めてはいけない理由

IT総合

1:田杉山脈 ★ 2019/09/13(金) 17:57:05.85 ID:CAP_USER.net
そうした初心者が自分のパソコンにPythonをインストールしようとしたとき、最初に問題になるのが「Pythonのどのバージョンを選べばいいか」ということだ。Pythonには「Python 2」と「Python 3」の大きく2つのバージョンが存在する。初心者だと、どちらを選べばいいかが分からない。 たいていの人は、最新バージョンであるPython 3を選択するだろう。しかし、中には「Python 2にはこれまでの実績があるから、そちらを選んだほうがいいのではないか」、あるいは「Python 2のほうが簡単で初心者向けなのではないか」と考える人がいるかもしれない。 結論から言うと、今からPython 2を使い始めてはならない。Python 2はもう2019年内しかサポートされないことが決まっているからだ。 Python 2の廃止日が決定 続きはソース元で https://tech.nikkeibp.co.jp/atcl/nxt/column/18/00682/091100013/
続きを読む

Source: IT速報

リンク元

コメント

タイトルとURLをコピーしました